Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class ShortHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.ShortHolder

All Implemented Interfaces:
  Holder, java.io.Serializable

public final class ShortHolder
extends java.lang.Object
implements Holder

Holder class for Short, according to OMG-IDL java mapping.

See Also:
  Serialized Form

Field Summary
`short` | `value`

Constructor Summary
`ShortHolder()`
`ShortHolder(short initial)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Comparisson method for Shorts.
`boolean` | `equals(short s)` Comparisson method for Shorts.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public short value

Constructor Detail

### ShortHolder

    public ShortHolder()

### ShortHolder

    public ShortHolder(short initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Shorts.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(short s)

  Comparisson method for Shorts.
  Returns:
    true if the input short value equals the value of the current object, false otherwize

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD